struts-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Abhishek Khandelwal <akhan...@spikesource.com>
Subject Re: building struts from the source code
Date Tue, 11 May 2004 01:43:44 GMT
Joe,

Servlet 2.2 is tomcat 3.0
This is pretty old version.

Are you sure that it wont even build on tomcat 4.0 , Servlet 2.3??

Abhishek


On Mon, 2004-05-10 at 18:27, Joe Germuska wrote:
> At 5:09 PM -0700 5/10/04, Abhishek Khandelwal wrote:
> >I am getting this error when I try to do ant dist on the source code of
> >the struts framework.
> >
> >Anyone has any idea what might the error be??? I have correctly set path
> >for servlet-api.jar and jsp-api.jar
> >
> >-------------------------------------------------------------------------
> >
> >jakarta-struts-1.1-src/src/share/org/apache/struts/upload/MultipartRequestWrapper.java:95:

> >org.apache.struts.upload.MultipartRequestWrapper is not abstract and 
> >does not override abstract method getLocalPort() in 
> >javax.servlet.ServletRequest
> >     [javac] public class MultipartRequestWrapper implements
> >HttpServletRequest {
> >
> 
> getLocalPort is new in Servlet 2.4
> 
> http://java.sun.com/j2ee/1.4/docs/api/javax/servlet/ServletRequest.html#getLocalPort()
> 
> There are a few others methods like that which were added in Servlet 2.4.
> 
> Struts is officially developed against Servlet 2.2, so the best 
> interim solution would be to compile against an earlier version of 
> servlet-api.jar.
> 
> Joe


---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@struts.apache.org
For additional commands, e-mail: user-help@struts.apache.org


Mime
View raw message